Wrong colors in eeschema objects with kicad 5.1 on PPC64

Bug #1842194 reported by geppo61 on 2019-08-31
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
KiCad
Expired
Low
Unassigned

Bug Description

Building from source 5.1 or downloading from ppa:js-reynaud/kicad-5.1 when opening a schematics with eeschema the output of the object colors is completely reversed. It seems a bigendian/littleendian wrong or missing conversion. RGB to BGR. The Blue is Red, the Red is Blue and the green is Ok. All other colors in between are messy. Only eeschema to my knowledge. pcbnew seems to work ok
Other stuff I do not tested yet.
Jean-Samuel Reynaud knows the issue.

Application: KiCad
Version: 5.1.4, release build
Libraries:
    wxWidgets 3.1
    libcurl/7.47.0 OpenSSL/1.0.2g zlib/1.2.11 libidn/1.32 librtmp/2.3
Platform: Linux 4.4.0-159-powerpc64-smp ppc64, 64 bit, Big endian, wxGTK
Build Info:
    wxWidgets: 3.1.0 (wchar_t,wx containers) GTK+ 2.24
    Boost: 1.58.0
    OpenCASCADE Community Edition: 6.8.0
    Curl: 7.47.0
    Compiler: GCC 6.3.0 with C++ ABI 1010

Build settings:
    USE_WX_GRAPHICS_CONTEXT=OFF
    USE_WX_OVERLAY=OFF
    KICAD_SCRIPTING=ON
    KICAD_SCRIPTING_MODULES=ON
    KICAD_SCRIPTING_PYTHON3=OFF
    KICAD_SCRIPTING_WXPYTHON=ON
    KICAD_SCRIPTING_WXPYTHON_PHOENIX=ON
    KICAD_SCRIPTING_ACTION_MENU=ON
    BUILD_GITHUB_PLUGIN=ON
    KICAD_USE_OCE=ON
    KICAD_USE_OCC=OFF
    KICAD_SPICE=ON

Version 5.0.2 build from source has no color issue.

Application: kicad
Version: (5.0.2-25-g24ab814-dirty), release build
Libraries:
    wxWidgets 3.0.2
    libcurl/7.47.0 GnuTLS/3.4.10 zlib/1.2.11 libidn/1.32 librtmp/2.3
Platform: Linux 4.4.0-159-powerpc64-smp ppc64, 64 bit, Big endian, wxGTK
Build Info:
    wxWidgets: 3.0.2 (wchar_t,wx containers,compatible with 2.8) GTK+ 2.24
    Boost: 1.58.0
    OpenCASCADE Community Edition: 6.8.0
    Curl: 7.47.0
    Compiler: GCC 6.3.0 with C++ ABI 1010

Build settings:
    USE_WX_GRAPHICS_CONTEXT=OFF
    USE_WX_OVERLAY=OFF
    KICAD_SCRIPTING=ON
    KICAD_SCRIPTING_MODULES=ON
    KICAD_SCRIPTING_WXPYTHON=ON
    KICAD_SCRIPTING_ACTION_MENU=ON
    BUILD_GITHUB_PLUGIN=ON
    KICAD_USE_OCE=ON
    KICAD_USE_OCC=OFF
    KICAD_SPICE=ON

wxWidget 3.0 or 3.1 is not a problem, because using the compiled version from PPA I have the same issue.

Application: KiCad
Version: 5.1.4-e60b266~84~ubuntu16.04.1, release build
Libraries:
    wxWidgets 3.0.2
    libcurl/7.47.0 OpenSSL/1.0.2g zlib/1.2.11 libidn/1.32 librtmp/2.3
Platform: Linux 4.4.0-159-powerpc64-smp ppc64, 64 bit, Big endian, wxGTK
Build Info:
    wxWidgets: 3.0.2 (wchar_t,wx containers,compatible with 2.8) GTK+ 2.24
    Boost: 1.58.0
    OpenCASCADE Community Edition: 6.8.0
    Curl: 7.47.0
    Compiler: GCC 5.4.0 with C++ ABI 1009

Build settings:
    USE_WX_GRAPHICS_CONTEXT=OFF
    USE_WX_OVERLAY=OFF
    KICAD_SCRIPTING=ON
    KICAD_SCRIPTING_MODULES=ON
    KICAD_SCRIPTING_PYTHON3=OFF
    KICAD_SCRIPTING_WXPYTHON=ON
    KICAD_SCRIPTING_WXPYTHON_PHOENIX=OFF
    KICAD_SCRIPTING_ACTION_MENU=ON
    BUILD_GITHUB_PLUGIN=ON
    KICAD_USE_OCE=ON
    KICAD_USE_OCC=OFF
    KICAD_SPICE=ON

Tags: gal Edit Tag help
geppo61 (icjtqr-gmail) wrote :

Look at the same screenshot using 5.0 in PPC64 system

Jeff Young (jeyjey) on 2019-09-02
summary: - Wrong colors in eeschema objects with kicad 5.1
+ Wrong colors in eeschema objects with kicad 5.1 on PPC64
Nick Østergaard (nickoe) wrote :

What canvas is used here?

tags: added: gal
Changed in kicad:
importance: Undecided → Low
Download full text (3.9 KiB)

How can I check which canvas is used?

On Wed, Sep 4, 2019 at 11:41 PM Nick Østergaard <email address hidden>
wrote:

> What canvas is used here?
>
> ** Tags added: gal
>
> ** Changed in: kicad
> Importance: Undecided => Low
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/1842194
>
> Title:
> Wrong colors in eeschema objects with kicad 5.1 on PPC64
>
> Status in KiCad:
> New
>
> Bug description:
> Building from source 5.1 or downloading from ppa:js-reynaud/kicad-5.1
> when opening a schematics with eeschema the output of the object colors is
> completely reversed. It seems a bigendian/littleendian wrong or missing
> conversion. RGB to BGR. The Blue is Red, the Red is Blue and the green is
> Ok. All other colors in between are messy. Only eeschema to my knowledge.
> pcbnew seems to work ok
> Other stuff I do not tested yet.
> Jean-Samuel Reynaud knows the issue.
>
> Application: KiCad
> Version: 5.1.4, release build
> Libraries:
> wxWidgets 3.1
> libcurl/7.47.0 OpenSSL/1.0.2g zlib/1.2.11 libidn/1.32 librtmp/2.3
> Platform: Linux 4.4.0-159-powerpc64-smp ppc64, 64 bit, Big endian, wxGTK
> Build Info:
> wxWidgets: 3.1.0 (wchar_t,wx containers) GTK+ 2.24
> Boost: 1.58.0
> OpenCASCADE Community Edition: 6.8.0
> Curl: 7.47.0
> Compiler: GCC 6.3.0 with C++ ABI 1010
>
> Build settings:
> USE_WX_GRAPHICS_CONTEXT=OFF
> USE_WX_OVERLAY=OFF
> KICAD_SCRIPTING=ON
> KICAD_SCRIPTING_MODULES=ON
> KICAD_SCRIPTING_PYTHON3=OFF
> KICAD_SCRIPTING_WXPYTHON=ON
> KICAD_SCRIPTING_WXPYTHON_PHOENIX=ON
> KICAD_SCRIPTING_ACTION_MENU=ON
> BUILD_GITHUB_PLUGIN=ON
> KICAD_USE_OCE=ON
> KICAD_USE_OCC=OFF
> KICAD_SPICE=ON
>
> Version 5.0.2 build from source has no color issue.
>
> Application: kicad
> Version: (5.0.2-25-g24ab814-dirty), release build
> Libraries:
> wxWidgets 3.0.2
> libcurl/7.47.0 GnuTLS/3.4.10 zlib/1.2.11 libidn/1.32 librtmp/2.3
> Platform: Linux 4.4.0-159-powerpc64-smp ppc64, 64 bit, Big endian, wxGTK
> Build Info:
> wxWidgets: 3.0.2 (wchar_t,wx containers,compatible with 2.8) GTK+
> 2.24
> Boost: 1.58.0
> OpenCASCADE Community Edition: 6.8.0
> Curl: 7.47.0
> Compiler: GCC 6.3.0 with C++ ABI 1010
>
> Build settings:
> USE_WX_GRAPHICS_CONTEXT=OFF
> USE_WX_OVERLAY=OFF
> KICAD_SCRIPTING=ON
> KICAD_SCRIPTING_MODULES=ON
> KICAD_SCRIPTING_WXPYTHON=ON
> KICAD_SCRIPTING_ACTION_MENU=ON
> BUILD_GITHUB_PLUGIN=ON
> KICAD_USE_OCE=ON
> KICAD_USE_OCC=OFF
> KICAD_SPICE=ON
>
> wxWidget 3.0 or 3.1 is not a problem, because using the compiled
> version from PPA I have the same issue.
>
> Application: KiCad
> Version: 5.1.4-e60b266~84~ubuntu16.04.1, release build
> Libraries:
> wxWidgets 3.0.2
> libcurl/7.47.0 OpenSSL/1.0.2g zlib/1.2.11 libidn/1.32 librtmp/2.3
> Platform: Linux 4.4.0-159-powerpc64-smp ppc64, 64 bit, Big endian, wxGTK
> Build Info:
> wxWidgets: 3.0.2 (wchar_t,wx containers,compatible with 2.8) GTK+
> ...

Read more...

Nick Østergaard (nickoe) wrote :

In the Preferences menu there should be listed two canvas types:
 - Modern Toolset (Accelerated)
 - Modern Toolset (Fallback)

One is using opengl and the other is using cairo.

geppo61 (icjtqr-gmail) wrote :
Download full text (4.0 KiB)

Thanks, I'll check it out this evening when I get home from work

Best regards,

On Thu, Sep 5, 2019 at 3:01 PM Nick Østergaard <email address hidden>
wrote:

> In the Preferences menu there should be listed two canvas types:
> - Modern Toolset (Accelerated)
> - Modern Toolset (Fallback)
>
> One is using opengl and the other is using cairo.
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/1842194
>
> Title:
> Wrong colors in eeschema objects with kicad 5.1 on PPC64
>
> Status in KiCad:
> New
>
> Bug description:
> Building from source 5.1 or downloading from ppa:js-reynaud/kicad-5.1
> when opening a schematics with eeschema the output of the object colors is
> completely reversed. It seems a bigendian/littleendian wrong or missing
> conversion. RGB to BGR. The Blue is Red, the Red is Blue and the green is
> Ok. All other colors in between are messy. Only eeschema to my knowledge.
> pcbnew seems to work ok
> Other stuff I do not tested yet.
> Jean-Samuel Reynaud knows the issue.
>
> Application: KiCad
> Version: 5.1.4, release build
> Libraries:
> wxWidgets 3.1
> libcurl/7.47.0 OpenSSL/1.0.2g zlib/1.2.11 libidn/1.32 librtmp/2.3
> Platform: Linux 4.4.0-159-powerpc64-smp ppc64, 64 bit, Big endian, wxGTK
> Build Info:
> wxWidgets: 3.1.0 (wchar_t,wx containers) GTK+ 2.24
> Boost: 1.58.0
> OpenCASCADE Community Edition: 6.8.0
> Curl: 7.47.0
> Compiler: GCC 6.3.0 with C++ ABI 1010
>
> Build settings:
> USE_WX_GRAPHICS_CONTEXT=OFF
> USE_WX_OVERLAY=OFF
> KICAD_SCRIPTING=ON
> KICAD_SCRIPTING_MODULES=ON
> KICAD_SCRIPTING_PYTHON3=OFF
> KICAD_SCRIPTING_WXPYTHON=ON
> KICAD_SCRIPTING_WXPYTHON_PHOENIX=ON
> KICAD_SCRIPTING_ACTION_MENU=ON
> BUILD_GITHUB_PLUGIN=ON
> KICAD_USE_OCE=ON
> KICAD_USE_OCC=OFF
> KICAD_SPICE=ON
>
> Version 5.0.2 build from source has no color issue.
>
> Application: kicad
> Version: (5.0.2-25-g24ab814-dirty), release build
> Libraries:
> wxWidgets 3.0.2
> libcurl/7.47.0 GnuTLS/3.4.10 zlib/1.2.11 libidn/1.32 librtmp/2.3
> Platform: Linux 4.4.0-159-powerpc64-smp ppc64, 64 bit, Big endian, wxGTK
> Build Info:
> wxWidgets: 3.0.2 (wchar_t,wx containers,compatible with 2.8) GTK+
> 2.24
> Boost: 1.58.0
> OpenCASCADE Community Edition: 6.8.0
> Curl: 7.47.0
> Compiler: GCC 6.3.0 with C++ ABI 1010
>
> Build settings:
> USE_WX_GRAPHICS_CONTEXT=OFF
> USE_WX_OVERLAY=OFF
> KICAD_SCRIPTING=ON
> KICAD_SCRIPTING_MODULES=ON
> KICAD_SCRIPTING_WXPYTHON=ON
> KICAD_SCRIPTING_ACTION_MENU=ON
> BUILD_GITHUB_PLUGIN=ON
> KICAD_USE_OCE=ON
> KICAD_USE_OCC=OFF
> KICAD_SPICE=ON
>
> wxWidget 3.0 or 3.1 is not a problem, because using the compiled
> version from PPA I have the same issue.
>
> Application: KiCad
> Version: 5.1.4-e60b266~84~ubuntu16.04.1, release build
> Libraries:
> wxWidgets 3.0.2
> libcurl/7.47.0 OpenSSL/1.0.2g zlib/1.2.11 libidn/1.32 librtmp/2.3
> Platform: Linux 4.4.0-159-powerpc64-smp ppc64, 6...

Read more...

Changed in kicad:
status: New → Incomplete
geppo61 (icjtqr-gmail) wrote :
Download full text (4.0 KiB)

Ok, I understand that. But are those selections available in the version
5.0?

On Thu, Sep 5, 2019 at 3:01 PM Nick Østergaard <email address hidden>
wrote:

> In the Preferences menu there should be listed two canvas types:
> - Modern Toolset (Accelerated)
> - Modern Toolset (Fallback)
>
> One is using opengl and the other is using cairo.
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/1842194
>
> Title:
> Wrong colors in eeschema objects with kicad 5.1 on PPC64
>
> Status in KiCad:
> New
>
> Bug description:
> Building from source 5.1 or downloading from ppa:js-reynaud/kicad-5.1
> when opening a schematics with eeschema the output of the object colors is
> completely reversed. It seems a bigendian/littleendian wrong or missing
> conversion. RGB to BGR. The Blue is Red, the Red is Blue and the green is
> Ok. All other colors in between are messy. Only eeschema to my knowledge.
> pcbnew seems to work ok
> Other stuff I do not tested yet.
> Jean-Samuel Reynaud knows the issue.
>
> Application: KiCad
> Version: 5.1.4, release build
> Libraries:
> wxWidgets 3.1
> libcurl/7.47.0 OpenSSL/1.0.2g zlib/1.2.11 libidn/1.32 librtmp/2.3
> Platform: Linux 4.4.0-159-powerpc64-smp ppc64, 64 bit, Big endian, wxGTK
> Build Info:
> wxWidgets: 3.1.0 (wchar_t,wx containers) GTK+ 2.24
> Boost: 1.58.0
> OpenCASCADE Community Edition: 6.8.0
> Curl: 7.47.0
> Compiler: GCC 6.3.0 with C++ ABI 1010
>
> Build settings:
> USE_WX_GRAPHICS_CONTEXT=OFF
> USE_WX_OVERLAY=OFF
> KICAD_SCRIPTING=ON
> KICAD_SCRIPTING_MODULES=ON
> KICAD_SCRIPTING_PYTHON3=OFF
> KICAD_SCRIPTING_WXPYTHON=ON
> KICAD_SCRIPTING_WXPYTHON_PHOENIX=ON
> KICAD_SCRIPTING_ACTION_MENU=ON
> BUILD_GITHUB_PLUGIN=ON
> KICAD_USE_OCE=ON
> KICAD_USE_OCC=OFF
> KICAD_SPICE=ON
>
> Version 5.0.2 build from source has no color issue.
>
> Application: kicad
> Version: (5.0.2-25-g24ab814-dirty), release build
> Libraries:
> wxWidgets 3.0.2
> libcurl/7.47.0 GnuTLS/3.4.10 zlib/1.2.11 libidn/1.32 librtmp/2.3
> Platform: Linux 4.4.0-159-powerpc64-smp ppc64, 64 bit, Big endian, wxGTK
> Build Info:
> wxWidgets: 3.0.2 (wchar_t,wx containers,compatible with 2.8) GTK+
> 2.24
> Boost: 1.58.0
> OpenCASCADE Community Edition: 6.8.0
> Curl: 7.47.0
> Compiler: GCC 6.3.0 with C++ ABI 1010
>
> Build settings:
> USE_WX_GRAPHICS_CONTEXT=OFF
> USE_WX_OVERLAY=OFF
> KICAD_SCRIPTING=ON
> KICAD_SCRIPTING_MODULES=ON
> KICAD_SCRIPTING_WXPYTHON=ON
> KICAD_SCRIPTING_ACTION_MENU=ON
> BUILD_GITHUB_PLUGIN=ON
> KICAD_USE_OCE=ON
> KICAD_USE_OCC=OFF
> KICAD_SPICE=ON
>
> wxWidget 3.0 or 3.1 is not a problem, because using the compiled
> version from PPA I have the same issue.
>
> Application: KiCad
> Version: 5.1.4-e60b266~84~ubuntu16.04.1, release build
> Libraries:
> wxWidgets 3.0.2
> libcurl/7.47.0 OpenSSL/1.0.2g zlib/1.2.11 libidn/1.32 librtmp/2.3
> Platform: Linux 4.4.0-159-powerpc64-smp ppc64, 64...

Read more...

Ian McInerney (imcinerney) wrote :

Yes, both those options are available in the 5.1 version.

geppo61 (icjtqr-gmail) wrote :
Download full text (103.4 KiB)

Ok, just checked:

Modern Toolset (Fallback) HAS THE ISSUE
Modern Toolset (OpenGL) does not work!It says: Cannot link the shaders!

My video card is Radeon HD 4670 1GB:
fc70:06:00.0 VGA compatible controller: Advanced Micro Devices, Inc.
[AMD/ATI] RV730 XT [Radeon HD 4670] (prog-if 00 [VGA controller])
    Subsystem: PC Partner Limited / Sapphire Technology RV730 XT [Radeon HD
4670]
    Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr-
Stepping- SERR- FastB2B- DisINTx+
    Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort-
<MAbort- >SERR- <PERR- INTx-
    Latency: 0, Cache Line Size: 64 bytes
    Interrupt: pin A routed to IRQ 22
    Region 0: Memory at 90000000 (64-bit, prefetchable) [size=256M]
    Region 2: Memory at 80110000 (64-bit, non-prefetchable) [size=64K]
    Region 4: I/O ports at 0000 [size=256]
    Expansion ROM at 80120000 [disabled] [size=128K]
    Capabilities: <access denied>
    Kernel driver in use: radeon
    Kernel modules: radeon

Here is the glxinfo output:
name of display: :0
display: :0 screen: 0
direct rendering: Yes
server glx vendor string: SGI
server glx version string: 1.4
server glx extensions:
    GLX_ARB_create_context, GLX_ARB_create_context_profile,
    GLX_ARB_create_context_robustness, GLX_ARB_fbconfig_float,
    GLX_ARB_framebuffer_sRGB, GLX_ARB_multisample,
    GLX_EXT_create_context_es2_profile, GLX_EXT_create_context_es_profile,
    GLX_EXT_fbconfig_packed_float, GLX_EXT_framebuffer_sRGB,
    GLX_EXT_import_context, GLX_EXT_texture_from_pixmap,
GLX_EXT_visual_info,
    GLX_EXT_visual_rating, GLX_INTEL_swap_event, GLX_MESA_copy_sub_buffer,
    GLX_OML_swap_method, GLX_SGIS_multisample, GLX_SGIX_fbconfig,
    GLX_SGIX_pbuffer, GLX_SGIX_visual_select_group, GLX_SGI_swap_control
client glx vendor string: Mesa Project and SGI
client glx version string: 1.4
client glx extensions:
    GLX_ARB_context_flush_control, GLX_ARB_create_context,
    GLX_ARB_create_context_profile, GLX_ARB_create_context_robustness,
    GLX_ARB_fbconfig_float, GLX_ARB_framebuffer_sRGB,
    GLX_ARB_get_proc_address, GLX_ARB_multisample, GLX_EXT_buffer_age,
    GLX_EXT_create_context_es2_profile, GLX_EXT_create_context_es_profile,
    GLX_EXT_fbconfig_packed_float, GLX_EXT_framebuffer_sRGB,
    GLX_EXT_import_context, GLX_EXT_texture_from_pixmap,
GLX_EXT_visual_info,
    GLX_EXT_visual_rating, GLX_INTEL_swap_event, GLX_MESA_copy_sub_buffer,
    GLX_MESA_multithread_makecurrent, GLX_MESA_query_renderer,
    GLX_MESA_swap_control, GLX_OML_swap_method, GLX_OML_sync_control,
    GLX_SGIS_multisample, GLX_SGIX_fbconfig, GLX_SGIX_pbuffer,
    GLX_SGIX_visual_select_group, GLX_SGI_make_current_read,
    GLX_SGI_swap_control, GLX_SGI_video_sync
GLX version: 1.4
GLX extensions:
    GLX_ARB_create_context, GLX_ARB_create_context_profile,
    GLX_ARB_create_context_robustness, GLX_ARB_fbconfig_float,
    GLX_ARB_framebuffer_sRGB, GLX_ARB_get_proc_address,
GLX_ARB_multisample,
    GLX_EXT_create_context_es2_profile, GLX_EXT_create_context_es_profile,
    GLX_EXT_fbconfig_packed_float, GLX_EXT_framebuffer_sRGB,
    GLX_EXT_import_context, GLX_EXT_texture_from_pixmap,
GLX_EXT_visual_info,
    GLX_EXT_visual_r...

geppo61 (icjtqr-gmail) wrote :
Download full text (108.8 KiB)

Any news?
I have another PCI-Express Video Card based on ATI Radeon HD6470 more
powerful than the other HD4670.
Maybe the OpenGL can use it so no more issue with the error: "Cannot link
the shaders"?
Please let me know as soon as possible

Regards

On Sat, Sep 7, 2019 at 2:35 PM Gianluca Renzi <email address hidden> wrote:

> Ok, just checked:
>
> Modern Toolset (Fallback) HAS THE ISSUE
> Modern Toolset (OpenGL) does not work!It says: Cannot link the shaders!
>
> My video card is Radeon HD 4670 1GB:
> fc70:06:00.0 VGA compatible controller: Advanced Micro Devices, Inc.
> [AMD/ATI] RV730 XT [Radeon HD 4670] (prog-if 00 [VGA controller])
> Subsystem: PC Partner Limited / Sapphire Technology RV730 XT [Radeon
> HD 4670]
> Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr-
> Stepping- SERR- FastB2B- DisINTx+
> Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort-
> <TAbort- <MAbort- >SERR- <PERR- INTx-
> Latency: 0, Cache Line Size: 64 bytes
> Interrupt: pin A routed to IRQ 22
> Region 0: Memory at 90000000 (64-bit, prefetchable) [size=256M]
> Region 2: Memory at 80110000 (64-bit, non-prefetchable) [size=64K]
> Region 4: I/O ports at 0000 [size=256]
> Expansion ROM at 80120000 [disabled] [size=128K]
> Capabilities: <access denied>
> Kernel driver in use: radeon
> Kernel modules: radeon
>
> Here is the glxinfo output:
> name of display: :0
> display: :0 screen: 0
> direct rendering: Yes
> server glx vendor string: SGI
> server glx version string: 1.4
> server glx extensions:
> GLX_ARB_create_context, GLX_ARB_create_context_profile,
> GLX_ARB_create_context_robustness, GLX_ARB_fbconfig_float,
> GLX_ARB_framebuffer_sRGB, GLX_ARB_multisample,
> GLX_EXT_create_context_es2_profile, GLX_EXT_create_context_es_profile,
> GLX_EXT_fbconfig_packed_float, GLX_EXT_framebuffer_sRGB,
> GLX_EXT_import_context, GLX_EXT_texture_from_pixmap,
> GLX_EXT_visual_info,
> GLX_EXT_visual_rating, GLX_INTEL_swap_event, GLX_MESA_copy_sub_buffer,
> GLX_OML_swap_method, GLX_SGIS_multisample, GLX_SGIX_fbconfig,
> GLX_SGIX_pbuffer, GLX_SGIX_visual_select_group, GLX_SGI_swap_control
> client glx vendor string: Mesa Project and SGI
> client glx version string: 1.4
> client glx extensions:
> GLX_ARB_context_flush_control, GLX_ARB_create_context,
> GLX_ARB_create_context_profile, GLX_ARB_create_context_robustness,
> GLX_ARB_fbconfig_float, GLX_ARB_framebuffer_sRGB,
> GLX_ARB_get_proc_address, GLX_ARB_multisample, GLX_EXT_buffer_age,
> GLX_EXT_create_context_es2_profile, GLX_EXT_create_context_es_profile,
> GLX_EXT_fbconfig_packed_float, GLX_EXT_framebuffer_sRGB,
> GLX_EXT_import_context, GLX_EXT_texture_from_pixmap,
> GLX_EXT_visual_info,
> GLX_EXT_visual_rating, GLX_INTEL_swap_event, GLX_MESA_copy_sub_buffer,
> GLX_MESA_multithread_makecurrent, GLX_MESA_query_renderer,
> GLX_MESA_swap_control, GLX_OML_swap_method, GLX_OML_sync_control,
> GLX_SGIS_multisample, GLX_SGIX_fbconfig, GLX_SGIX_pbuffer,
> GLX_SGIX_visual_select_group, GLX_SGI_make_current_read,
> GLX_SGI_swap_control, GLX_SGI_video_sync
> GLX version: 1.4
> GLX extensi...

geppo61 (icjtqr-gmail) wrote :

Any news so far?

geppo61 (icjtqr-gmail) wrote :

If I add a new PCI-Express Video Card (ATI Radeon HD6470) is there a possibility to have the OpenGL in a working state? Can that card link the shaders?

Wayne Stambaugh (stambaughw) wrote :

I do not believe it is a matter of your video card as much as it is what version of OpenGL is supported by your video card. I believe OpenGL 2.1 or later is required to use the shaders.

Seth Hillbrand (sethh) wrote :

@geppo61- I note that your glxinfo is using MESA and not the AMD RV730 implementation. This may be related to the issue.

Further debugging here will require a developer with access to a PPC64 machine.

geppo61 (icjtqr-gmail) wrote :
Download full text (4.1 KiB)

On Wed, Sep 11, 2019 at 6:41 PM Seth Hillbrand <
<email address hidden>> wrote:

> @geppo61- I note that your glxinfo is using MESA and not the AMD RV730
> implementation. This may be related to the issue.
>
>
Strange. I didn't realize that. Every OpenGL stuff it seems to working in
hwaccel mode...

> Further debugging here will require a developer with access to a PPC64
> machine.
>
>
Here I am!
Please tell me what you want to proceed further

> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/1842194
>
> Title:
> Wrong colors in eeschema objects with kicad 5.1 on PPC64
>
> Status in KiCad:
> Incomplete
>
> Bug description:
> Building from source 5.1 or downloading from ppa:js-reynaud/kicad-5.1
> when opening a schematics with eeschema the output of the object colors is
> completely reversed. It seems a bigendian/littleendian wrong or missing
> conversion. RGB to BGR. The Blue is Red, the Red is Blue and the green is
> Ok. All other colors in between are messy. Only eeschema to my knowledge.
> pcbnew seems to work ok
> Other stuff I do not tested yet.
> Jean-Samuel Reynaud knows the issue.
>
> Application: KiCad
> Version: 5.1.4, release build
> Libraries:
> wxWidgets 3.1
> libcurl/7.47.0 OpenSSL/1.0.2g zlib/1.2.11 libidn/1.32 librtmp/2.3
> Platform: Linux 4.4.0-159-powerpc64-smp ppc64, 64 bit, Big endian, wxGTK
> Build Info:
> wxWidgets: 3.1.0 (wchar_t,wx containers) GTK+ 2.24
> Boost: 1.58.0
> OpenCASCADE Community Edition: 6.8.0
> Curl: 7.47.0
> Compiler: GCC 6.3.0 with C++ ABI 1010
>
> Build settings:
> USE_WX_GRAPHICS_CONTEXT=OFF
> USE_WX_OVERLAY=OFF
> KICAD_SCRIPTING=ON
> KICAD_SCRIPTING_MODULES=ON
> KICAD_SCRIPTING_PYTHON3=OFF
> KICAD_SCRIPTING_WXPYTHON=ON
> KICAD_SCRIPTING_WXPYTHON_PHOENIX=ON
> KICAD_SCRIPTING_ACTION_MENU=ON
> BUILD_GITHUB_PLUGIN=ON
> KICAD_USE_OCE=ON
> KICAD_USE_OCC=OFF
> KICAD_SPICE=ON
>
> Version 5.0.2 build from source has no color issue.
>
> Application: kicad
> Version: (5.0.2-25-g24ab814-dirty), release build
> Libraries:
> wxWidgets 3.0.2
> libcurl/7.47.0 GnuTLS/3.4.10 zlib/1.2.11 libidn/1.32 librtmp/2.3
> Platform: Linux 4.4.0-159-powerpc64-smp ppc64, 64 bit, Big endian, wxGTK
> Build Info:
> wxWidgets: 3.0.2 (wchar_t,wx containers,compatible with 2.8) GTK+
> 2.24
> Boost: 1.58.0
> OpenCASCADE Community Edition: 6.8.0
> Curl: 7.47.0
> Compiler: GCC 6.3.0 with C++ ABI 1010
>
> Build settings:
> USE_WX_GRAPHICS_CONTEXT=OFF
> USE_WX_OVERLAY=OFF
> KICAD_SCRIPTING=ON
> KICAD_SCRIPTING_MODULES=ON
> KICAD_SCRIPTING_WXPYTHON=ON
> KICAD_SCRIPTING_ACTION_MENU=ON
> BUILD_GITHUB_PLUGIN=ON
> KICAD_USE_OCE=ON
> KICAD_USE_OCC=OFF
> KICAD_SPICE=ON
>
> wxWidget 3.0 or 3.1 is not a problem, because using the compiled
> version from PPA I have the same issue.
>
> Application: KiCad
> Version: 5.1.4-e60b266~84~ubuntu16.04.1, release build
> Libraries:
> wxWidgets 3.0.2
> ...

Read more...

Seth Hillbrand (sethh) wrote :

@geppo61-

You can assign yourself as the owner of this bug at the top under "Assigned To" and set the status to "In Progress" if you are working on it.

Here is a good getting started document:
http://kicad-pcb.org/contribute/developers/

You can also join the developer's mailing list
https://launchpad.net/~kicad-developers

As the professional EDA userbase for PPC64 is extremely small, fixing this bug will require someone such as yourself to craft, test and submit a patch that fixes the coloring issue. You should feel free to ask questions on the mailing list about the technical details of the KiCad project as you begin to work on this.

For reference, the Graphics Abstraction Layer (GAL) is where you will want to look. This is in /common/gal and /include/gal in the codebase.

geppo61 (icjtqr-gmail) wrote :
Download full text (4.8 KiB)

On Thu, Sep 12, 2019 at 7:50 PM Seth Hillbrand <
<email address hidden>> wrote:

> @geppo61-
>
> You can assign yourself as the owner of this bug at the top under
> "Assigned To" and set the status to "In Progress" if you are working on
> it.
>
> Here is a good getting started document:
> http://kicad-pcb.org/contribute/developers/
>
> You can also join the developer's mailing list
> https://launchpad.net/~kicad-developers
>
> As the professional EDA userbase for PPC64 is extremely small, fixing
> this bug will require someone such as yourself to craft, test and submit
> a patch that fixes the coloring issue. You should feel free to ask
> questions on the mailing list about the technical details of the KiCad
> project as you begin to work on this.
>
>
I had already committed a patch for build Kicad 5.x and 6.x for ppc, so far
I know how to build a patch. ;-P

> For reference, the Graphics Abstraction Layer (GAL) is where you will
> want to look. This is in /common/gal and /include/gal in the codebase.
>
>
So GAL stuff has all the drawing primitives to build up a Cairo Canvas?

I just looked at the diff between 5.0 and 5.1 and there are huge
differences... It will be a very long night...

> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/1842194
>
> Title:
> Wrong colors in eeschema objects with kicad 5.1 on PPC64
>
> Status in KiCad:
> Incomplete
>
> Bug description:
> Building from source 5.1 or downloading from ppa:js-reynaud/kicad-5.1
> when opening a schematics with eeschema the output of the object colors is
> completely reversed. It seems a bigendian/littleendian wrong or missing
> conversion. RGB to BGR. The Blue is Red, the Red is Blue and the green is
> Ok. All other colors in between are messy. Only eeschema to my knowledge.
> pcbnew seems to work ok
> Other stuff I do not tested yet.
> Jean-Samuel Reynaud knows the issue.
>
> Application: KiCad
> Version: 5.1.4, release build
> Libraries:
> wxWidgets 3.1
> libcurl/7.47.0 OpenSSL/1.0.2g zlib/1.2.11 libidn/1.32 librtmp/2.3
> Platform: Linux 4.4.0-159-powerpc64-smp ppc64, 64 bit, Big endian, wxGTK
> Build Info:
> wxWidgets: 3.1.0 (wchar_t,wx containers) GTK+ 2.24
> Boost: 1.58.0
> OpenCASCADE Community Edition: 6.8.0
> Curl: 7.47.0
> Compiler: GCC 6.3.0 with C++ ABI 1010
>
> Build settings:
> USE_WX_GRAPHICS_CONTEXT=OFF
> USE_WX_OVERLAY=OFF
> KICAD_SCRIPTING=ON
> KICAD_SCRIPTING_MODULES=ON
> KICAD_SCRIPTING_PYTHON3=OFF
> KICAD_SCRIPTING_WXPYTHON=ON
> KICAD_SCRIPTING_WXPYTHON_PHOENIX=ON
> KICAD_SCRIPTING_ACTION_MENU=ON
> BUILD_GITHUB_PLUGIN=ON
> KICAD_USE_OCE=ON
> KICAD_USE_OCC=OFF
> KICAD_SPICE=ON
>
> Version 5.0.2 build from source has no color issue.
>
> Application: kicad
> Version: (5.0.2-25-g24ab814-dirty), release build
> Libraries:
> wxWidgets 3.0.2
> libcurl/7.47.0 GnuTLS/3.4.10 zlib/1.2.11 libidn/1.32 librtmp/2.3
> Platform: Linux 4.4.0-159-powerpc64-smp ppc64, 64 bit, Big endian, wxGTK
> Build Info:
> wxWidgets: 3.0.2 (wc...

Read more...

geppo61 (icjtqr-gmail) wrote :
Download full text (6.5 KiB)

First question:
common/gal/color4d.cpp
method: LegacyMix( COLOR4D aColor)
candidate.r = ( (unsigned)( 255.0 * r ) | (unsigned)( 255.0 * aColor.r ) )
/ 255.0,
...

I do not know the logics behind this calculation to have a such OR, but are
those values stored in a fixed endianness way? I see NO shift, so I am
supposing the values of that r or aColor.r are fixed in a word aligned way.
Can be cause the issue in Big Endian systems? Little endian: RGBA
BigEndian: ABGR

EDA_COLOR_T COLOR4D::GetNearestLegacyColor( const COLOR4D &aColor )
unsigned int colorInt = aColor.ToU32();

Is this function ToU32 endianness aware?

Other file:
common/gal/cairo/cairo_compositor.cpp

unsigned int CAIRO_COMPOSITOR::CreateBuffer()

cairo_image_surface_create_for_data( ... ) has the CAIRO_FORMAT_ARGB32
format. Can someone confirm it is working in a big endian environment? Or
even better: what software I can use to check out this behaviour in Ubuntu
16.04 LTS?

same issue on the Resize() function:
cairo_format_stride_for_width( CAIRO_FORMAT_ARGB32 )

Other file:
common/cairo/cario_gal.cpp

void CAIRO_GAL::endDrawing()

pixman_image_create_bits( PIXMAN_r8g8b8...) Is this format workable in a
big endian system?

Please if someone can drive me on what can be changed for working on PPC
BE, please write it here.
So I can recompile the 5.1.4 and retry again the eeschema,

Thanks,
Gianluca

On Thu, Sep 12, 2019 at 8:32 PM Gianluca Renzi <email address hidden> wrote:

> On Thu, Sep 12, 2019 at 7:50 PM Seth Hillbrand <
> <email address hidden>> wrote:
>
>> @geppo61-
>>
>> You can assign yourself as the owner of this bug at the top under
>> "Assigned To" and set the status to "In Progress" if you are working on
>> it.
>>
>> Here is a good getting started document:
>> http://kicad-pcb.org/contribute/developers/
>>
>> You can also join the developer's mailing list
>> https://launchpad.net/~kicad-developers
>>
>> As the professional EDA userbase for PPC64 is extremely small, fixing
>> this bug will require someone such as yourself to craft, test and submit
>> a patch that fixes the coloring issue. You should feel free to ask
>> questions on the mailing list about the technical details of the KiCad
>> project as you begin to work on this.
>>
>>
> I had already committed a patch for build Kicad 5.x and 6.x for ppc, so
> far I know how to build a patch. ;-P
>
>
>
>> For reference, the Graphics Abstraction Layer (GAL) is where you will
>> want to look. This is in /common/gal and /include/gal in the codebase.
>>
>>
> So GAL stuff has all the drawing primitives to build up a Cairo Canvas?
>
> I just looked at the diff between 5.0 and 5.1 and there are huge
> differences... It will be a very long night...
>
>
>
>
>> --
>> You received this bug notification because you are subscribed to the bug
>> report.
>> https://bugs.launchpad.net/bugs/1842194
>>
>> Title:
>> Wrong colors in eeschema objects with kicad 5.1 on PPC64
>>
>> Status in KiCad:
>> Incomplete
>>
>> Bug description:
>> Building from source 5.1 or downloading from ppa:js-reynaud/kicad-5.1
>> when opening a schematics with eeschema the output of the object colors is
>> completely reversed. It seems a bigendian/li...

Read more...

Launchpad Janitor (janitor) wrote :

[Expired for KiCad because there has been no activity for 60 days.]

Changed in kicad:
status: Incomplete → Expired
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers